Get a survey

GET
/surveys/{survey_id}

Returns one survey directly as an object (without a data wrapper), with author and the times of the first and last response.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API token of the account (ph_ followed by 48 characters), created in the account settings under API access.

Path Parameters

survey_id*string

UUID of the survey (id from List surveys).

Formatuuid

Response Body

The survey.

application/json
  1. response
id?string

UUID of the survey.

Formatuuid
type?string

Survey type: Onsite, Embedded, Stand-Alone, Embedded Mail or Shopify post-purchase.

Value in"onsite""embed""stand_alone""embedded_email""post_purchase"
name?string
created_at?string
Formatdate-time
active?boolean

The survey is switched on.

paused?boolean

The survey is paused.

draft?boolean

The survey has never been live.

responses?integer

Number of responses (participations with at least one answer).

launch?
project?
author?|

Creator of the survey.

first_response_at?|

Time of the first response.

Formatdate-time
last_response_at?|

Time of the last response.

Formatdate-time
curl -X GET 'https://app.poll-hero.com/api/v1/surveys/42293d51-fdd7-49cb-a693-cc6f9f0a070b'
{  "id": "42293d51-fdd7-49cb-a693-cc6f9f0a070b",  "type": "onsite",  "name": "Checkout satisfaction",  "created_at": "2026-08-12T09:14:03.000000Z",  "active": true,  "paused": false,  "draft": false,  "responses": 1284,  "launch": {    "start_at": "2026-08-14T00:00:00.000000Z",    "end_at": null  },  "project": {    "id": "KIn-gk5o6co5HOsPHDq8B",    "name": "Online shop"  },  "author": {    "name": "Jane Doe",    "email": "jane@example.com"  },  "first_response_at": "2026-08-14T08:02:11.000000Z",  "last_response_at": "2026-09-30T17:45:09.000000Z"}